#@data/values
---
environment:
  id: minikube
  applications:
    - proto: cert-manager
    - proto: kubernetes-secret-generator
    - proto: traefik
    - proto: cloudnative-pg
    - proto: garage
    - proto: victoria-metrics-single
    - proto: kube-state-metrics
    - proto: node-exporter
    - proto: metrics-server
    - proto: grafana
    - proto: ocis
    - proto: matrix-synapse
    - proto: element-web

cluster:
  domain: minikube
  ingress:
    className: traefik
  tls:
    issuer: mkcert
  storageClass:
    block: standard
    local: standard

backups:
  enabled: false
  s3:
    endpoint: ""
    region: ""
  storagebox:
    enabled: false

ocis:
  insecure: true
  s3:
    external: false
    endpoint: http://garage.garage.svc:3900
    region: garage
    bucket: ocis-minikube
